# volume backup

Block Storage v2, v3

## volume backup create

Create new volume backup

    openstack volume backup create
        [--name <name>]
        [--description <description>]
        [--container <container>]
        [--snapshot <snapshot>]
        [--force]
        [--incremental]
        [--no-incremental]
        [--property <key=value>]
        [--availability-zone <zone-name>]
        <volume>

--name <name>

  Name of the backup

--description <description>

  Description of the backup

--container <container>

  Optional backup container name

--snapshot <snapshot>

  Snapshot to backup (name or ID)

--force

  Allow to back up an in-use volume

--incremental

  Perform an incremental backup

--no-incremental

  Do not perform an incremental backup

--property <key=value>

  Set a property on this backup (repeat option to remove multiple values) (supported by –os-volume-api-version 3.43 or above)

--availability-zone <zone-name>

  AZ where the backup should be stored; by default it will be the same as the source (supported by –os-volume-api-version 3.51 or above)

volume

  Volume to backup (name or ID)

## volume backup delete

Delete volume backup(s)

    openstack volume backup delete [--force] <backup> [<backup> ...]

--force

  Allow delete in state other than error or available

backup

  Backup(s) to delete (name or ID)

## volume backup list

List volume backups

    openstack volume backup list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--project <project>]
        [--long]
        [--name <name>]
        [--status <status>]
        [--volume <volume>]
        [--limit <limit>]
        [--marker <marker>]
        [--all-projects]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--project <project>

  Filter results by project (name or ID) (admin only)

--long

  List additional fields in output

--name <name>

  Filters results by the backup name

--status <status>

  Filters results by the backup status, one of: creating, available, deleting, error, restoring or error_restoring

--volume <volume>

  Filters results by the volume which they backup (name or ID)

--limit <limit>

  The maximum number of entries to return. If the value exceeds the server-defined maximum, then the maximum value will be used.

--marker <marker>

  The first position in the collection to return results from. This should be a value that was returned in a previous request.

--all-projects

  Include all projects (admin only)

## volume backup record export

Export volume backup details.

Backup information can be imported into a new service instance to be able to restore.

    openstack volume backup record export <backup>

backup

  Backup to export (name or ID)

## volume backup record import

Import volume backup details.

Exported backup details contain the metadata necessary to restore to a new or rebuilt service instance

    openstack volume backup record import
        <backup_service>
        <backup_metadata>

backup_service

  Backup service containing the backup.

backup_metadata

  Encoded backup metadata from export.

## volume backup restore

Restore volume backup

    openstack volume backup restore [--force] <backup> [<volume>]

--force

  Restore the backup to an existing volume (default to False)

backup

  Backup to restore (name or ID)

volume

  Volume to restore to (name or ID for existing volume, name only for new volume) (default to None)

## volume backup set

Set volume backup properties

    openstack volume backup set
        [--name <name>]
        [--description <description>]
        [--state <state>]
        [--no-property]
        [--property <key=value>]
        <backup>

--name <name>

  New backup name (supported by –os-volume-api-version 3.9 or above)

--description <description>

  New backup description (supported by –os-volume-api-version 3.9 or above)

--state <state>

  New backup state (“available” or “error”) (admin only) (This option simply changes the state of the backup in the database with no regard to actual status; exercise caution when using)

--no-property

  Remove all properties from this backup (specify both –no-property and –property to remove the current properties before setting new properties)

--property <key=value>

  Set a property on this backup (repeat option to set multiple values) (supported by –os-volume-api-version 3.43 or above)

backup

  Backup to modify (name or ID)

## volume backup show

Display volume backup details

    openstack volume backup show <backup>

backup

  Backup to display (name or ID)

## volume backup unset

Unset volume backup properties.

This command requires `--os-volume-api-version` 3.43 or greater.

    openstack volume backup unset [--property <key>] <backup>

--property <key>

  Property to remove from this backup (repeat option to unset multiple values)

backup

  Backup to modify (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.